#ifndef NETWORKMANAGERHPP
#define NETWORKMANAGERHPP

#include <QThread>
#include <string>
#include <QTcpSocket>
#include <QLineEdit>
#include <QTextBrowser>
class NetworkManager : public QThread {
 	Q_OBJECT	

public :
	NetworkManager(std::string hostname, unsigned int port, QLineEdit * lineEdit, QTextBrowser * browser);
	~NetworkManager();

private :
	std::string hostname;
	unsigned int port;
	QLineEdit * lineEdit;
	QTextBrowser * browser;

protected :
	void run();

public slots :
	void sendLine();
	
};

#endif
